#pragma once
#include "Entity.h"
#include "EntityStateGravity.h"
#define CS_CAGE_CREATENAME L"CS_cage"
//Áý×Ó
class CS_Cage :
    public Entity
{
public:
    CS_Cage();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    void Destroy() override;
    std::weak_ptr<Entity> eL;
    std::weak_ptr<Entity> eR;
    EntityStateGravity stateGravity;
    int anpTarget = 0;
};

std::shared_ptr<Entity> CreateCS_Cage();
